%                                 SIMULATION NANOSATELLITE
%                              TANGAGE AVEC ROUE DE REACTION
%                                 *************************

clear

disp('');
disp('******************************************************************');
disp('');
disp('    Ce programme contient les caracteristiques inertielles')
disp('                et orbitales du satellite');
disp('');disp('');disp('');

disp('    POUR LES MODIFIER EDITEZ scao2dat.m sous un editeur quelconque');
disp('');disp('');disp('');
disp('******************************************************************');
disp('');disp('');disp('');
disp('                       OK parametrage fini');
disp('');disp('');disp('');disp('');disp('');


% Elements de la matrice d'inertie du satellite

Ir=0.032;
It=0.036;
Il=0.022;

% Caractristiques de l'orbite du satellite

altitude_orbite=817;		% altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);
				% pulsation orbitale en rd/s
inclinaison=98.7*pi/180;


disp('***************** DONNEES DU SCAO ********************');
disp('                  ROUE DE REACTION ');

J=3.2e-5;   % Moment d'inertie de la roue

K_PD=8.6e-5;% Gain du rappel proportionnel PD

F_PD=6e-4; % Gain de l'amortissementPD



teta_zero=5*pi/180; % Position initiale

teta_prim0=0; % vitesse initiale

disp('******************************************************************');

% Reprsentation d'tat du SCAO non perturb

Asat=[0 1 0 0 0 0;
   -4*(It-Il)*vitesse_rotation^2/Ir...
          0 0 0 0 -(Ir+Il-It)*vitesse_rotation/Ir;
   0 0 0 1 0 0;
   0 0 -3*(Ir-Il)*vitesse_rotation^2/It 0 0 0;
   0 0 0 0 0 1;
   0 (Ir+Il-It)*vitesse_rotation/Il...
          0 0 -(It-Ir)*vitesse_rotation^2/Il 0];

Bsat=[0 0 0;
   1/Ir 0 0;
   0 0 0;
   0 1/It 0;
   0 0 0;
   0 0 1/Il];


disp('   Pour continuer appuyez sur une touche');
pause;
clc;

% Caractristiques du champ magntique terrestre

K=6.413e21;
mu0=4e-7*pi;
constante_magnetic=K*mu0/rayon_orbital^3;


disp('***********************************************************');
disp('');
disp('    Conseil:donnez un temps d''au moins une periode');
disp('');

tsim=input('          Temps de simulation (s) : ');

disp('');
disp('***********************************************************');
disp('');
disp('   On vous demande le nombre de points de memorisation  de Matlab ');
disp('      pour le trace des courbes des variables de sortie');
disp('');
disp('   Conseil :ce nombre doit etre superieur au nombre de pas');
disp('            de la simulation');

points_trace=input('    Nombre points memorisation trace des courbes : ');

disp('');
disp('***********************************************************');

end